com.rscja.team.mtk.system

## Class SystemSettingsDBData_mtk

- java.lang.Object
- - com.rscja.team.mtk.system.SystemSettingsDBData_mtk

-     public class SystemSettingsDBData_mtk
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemSettingsDBData_mtk()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemSettingsDBData_mtk` | `getInstance()`
    `boolean` | `isEnableBackKey(android.content.Context context)`
    `boolean` | `isEnableHomeKey(android.content.Context context)`
    `boolean` | `isEnableMenuKey(android.content.Context context)`
    `boolean` | `isEnableNavigationBar(android.content.Context context)`
    `boolean` | `isEnableOtg(android.content.Context context)`
    `boolean` | `isEnablePanelBar(android.content.Context context)`
    `boolean` | `isEnableRecentKey(android.content.Context context)`
    `boolean` | `isEnableScapKey(android.content.Context context)`
    `boolean` | `setEnableBackKey(android.content.Context context, boolean enable)`
    `boolean` | `setEnableHomeKey(android.content.Context context, boolean enable)`
    `boolean` | `setEnableMenuKey(android.content.Context context, boolean enable)`
    `boolean` | `setEnableNavigationBar(android.content.Context context, boolean enable)`
    `boolean` | `setEnableOtg(android.content.Context context, boolean enable)`
    `boolean` | `setEnablePanelBar(android.content.Context context, boolean enable)`
    `boolean` | `setEnableRecentKey(android.content.Context context, boolean enable)`
    `boolean` | `setEnableScapKey(android.content.Context context, boolean enable)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemSettingsDBData_mtk

          public SystemSettingsDBData_mtk()

  - ### Method Detail

    - #### getInstance

          public static SystemSettingsDBData_mtk getInstance()

    - #### isEnableHomeKey

          public boolean isEnableHomeKey(android.content.Context context)

    - #### setEnableHomeKey

          public boolean setEnableHomeKey(android.content.Context context,
                                          boolean enable)

    - #### isEnableMenuKey

          public boolean isEnableMenuKey(android.content.Context context)

    - #### setEnableMenuKey

          public boolean setEnableMenuKey(android.content.Context context,
                                          boolean enable)

    - #### isEnableScapKey

          public boolean isEnableScapKey(android.content.Context context)

    - #### setEnableScapKey

          public boolean setEnableScapKey(android.content.Context context,
                                          boolean enable)

    - #### isEnablePanelBar

          public boolean isEnablePanelBar(android.content.Context context)

    - #### setEnablePanelBar

          public boolean setEnablePanelBar(android.content.Context context,
                                           boolean enable)

    - #### isEnableBackKey

          public boolean isEnableBackKey(android.content.Context context)

    - #### setEnableBackKey

          public boolean setEnableBackKey(android.content.Context context,
                                          boolean enable)

    - #### isEnableRecentKey

          public boolean isEnableRecentKey(android.content.Context context)

    - #### setEnableRecentKey

          public boolean setEnableRecentKey(android.content.Context context,
                                            boolean enable)

    - #### isEnableNavigationBar

          public boolean isEnableNavigationBar(android.content.Context context)

    - #### setEnableNavigationBar

          public boolean setEnableNavigationBar(android.content.Context context,
                                                boolean enable)

    - #### isEnableOtg

          public boolean isEnableOtg(android.content.Context context)

    - #### setEnableOtg

          public boolean setEnableOtg(android.content.Context context,
                                      boolean enable)